@font-face {
  font-family: 'CF Arche Grotesk';
  src: url(./assets/fonts/CFArcheGrotesk-Regular.woff) format("woff");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'CF Arche Grotesk';
  src: url(./assets/fonts/CFArcheGrotesk-Bold.woff) format("woff");
  font-weight: 800;
  font-style: normal;
}

@font-face {
  font-family: 'CF Arche Grotesk';
  src: url(./assets/fonts/CFArcheGrotesk-Medium.woff2) format("woff2");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: 'CF Arche Grotesk';
  src: url(./assets/fonts/CFArcheGrotesk-Italic.woff) format("woff");
  font-weight: 400;
  font-style: italic;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-size: 100%;
  font-family: sans-serif;
  font: inherit;
  vertical-align: baseline;
  list-style: none;
  text-wrap: pretty;
}

:root {
  --bg: #0068FF;
  --gris: #787878;
  --offwhite: #f7f7f7;
  --links: #FFC195;
  --fs-mobile: 14px;
  --nadvh: 6.25dvh;
  --interlinea: 1.6;
  --viewport-height: 100vh;
}

a {
  text-decoration: underline;
  color: var(--offwhite);
}

i {
  font-weight: 400;
  font-style: italic;
  font-feature-settings: "ss01" 0;
}

body {
  background-color: var(--offwhite);
  font-family: 'CF Arche Grotesk';
  font-feature-settings: "ss01" 1;
  overflow: hidden;

}

main {
  min-height: 100dvh;
  position: relative;
  overflow: visible;
  line-height: var(--interlinea);
}

#header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: calc(50px + (1ex * var(--interlinea)));
  padding: 20px;
  background-color: var(--offwhite);
  color: var(--bg);
  display: flex;
  justify-content: start;
  align-items: center;
  z-index: -1;
}

#logo {
  display: block;
  width: 28px;
  height: auto;
  margin-block-start: calc(1ex - 1cap);
}

#footer {
  position: relative;
  min-height: calc(var(--viewport-height) - (50px + (1ex * var(--interlinea))));
  background-color: var(--bg);
  color: var(--offwhite);
  padding: 20px;
  display: flex;
  justify-content: start;
  gap: 40px;
  align-items: flex-start;
  justify-items: start;
  flex-flow: column;
  transition: transform 300ms ease-in-out;
  -webkit-transition: transform 300ms ease-in-out;
  cursor: pointer;
  z-index: 10003;
  background-image: url(https://res.cloudinary.com/drwihxee8/image/upload/v1767596142/Fondo_mmgc7p.png);
  background-position: left;
  background-size: cover;
  background-repeat: no-repeat;
  will-change: transform;
}



#seccion1 {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: flex-start;
  justify-items: start;
  flex-flow: row nowrap;
}

#seccion2 {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: flex-start;
  justify-items: start;
  flex-flow: column nowrap;
}

#izq {
  display: flex;
  flex-direction: column;
}

#der {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  gap: 6vw;
}


#titulo {
  display: flex;
  flex-direction: row;
}

#header #close {
  cursor: pointer;
  opacity: 0;
  width: auto;
  transition: opacity 300ms ease-in-out;
  transition: transform 300ms ease-in-out;
  -webkit-transition: opacity 300ms ease-in-out;
  -webkit-transition: transform 300ms ease-in-out;
}

#close p {
  width: auto;
  position: relative;
}

#close p::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 0%;
  height: 2px;
  background: var(--bg);
  transition: width 300ms ease-in;
}


#header:hover #close p::after {
  width: 100%;
}

#footer p {
  display: block;
  margin: 0;
  margin-block-start: calc(1ex - 1cap);
}

#izq {
  max-width: 40vw;
}

.titulo-largo {
  transition: opacity 300ms ease-in-out;
  -webkit-transition: opacity 300ms ease-in-out;
  opacity: 0;
  margin-block-start: calc(1ex - 1cap);
}

.ocultos {
  opacity: 0;
}

.inactive {
  opacity: 0;
}

.active {
  opacity: 1;
}

.hover-active {
  opacity: 1;
}


#ftr {
  height: 200px;
  display: flex;
  width: 100%;
  flex-direction: column;
  justify-content: end;
}

#ftr-final {
  display: flex;

  flex-direction: row;
  justify-content: space-between;
}

/* Step-1 */
body.step-1 #footer {
  transform: translateY(calc(var(--viewport-height) - (50px + (1ex * var(--interlinea)))));
}

body.step-1 #footer .ocultos {
  opacity: 0;
}

body.step-1 #footer .titulo-largo {
  opacity: 0;
}

/* Step-2 */
body.step-2 #footer {
  transform: translateY(calc(var(--viewport-height) - (100px + (1ex * var(--interlinea)))));
}

body.step-2 #footer .ocultos {
  opacity: 0;
}

body.step-2 #footer .titulo-largo {
  opacity: 1;
}

/* Step-3 */
body.step-3 #footer {
  transform: translateY(calc((50px + (1ex * var(--interlinea)))));
  cursor: default;
}

body.step-3 #footer .ocultos {
  opacity: 1;
}

body.step-3 #footer .titulo-largo {
  opacity: 1;
}

body.step-3 {
  overflow: visible;
}


.row {
  display: flex;
  width: 100%;
  flex-direction: row nowrap;
  justify-content: space-between;
  align-items: center;
  justify-items: left;
  gap: 20px;
  padding-top: 8px;
  padding-bottom: 8px;
  border-bottom: 1px solid var(--offwhite);
}

#columna1 {
  border-top: 1px solid var(--offwhite);
  font-weight: 800;
  font-feature-settings: "smcp";
  text-transform: lowercase;
  letter-spacing: .05em;
}

#archive {
  font-weight: 800;
  font-feature-settings: "smcp";
  text-transform: lowercase;
  letter-spacing: .05em;
  padding: 8px 0;
}

.col {
  display: flex;
  flex-direction: column;
}

.row .col {
  flex: 0 0 auto;
  width: 100%;
}

.row .col-12 {
  width: 100%;
}

.row .col-4 {
  width: calc(100% / 3);
}

.row .col-3 {
  width: calc(100% / 4);
}

.row.col-1 {
  width: calc(100% / 12);
}

#carrusel {
  width: 100%;
  height: calc(var(--viewport-height) - (50px + (1ex * var(--interlinea))));
  top: 0;
  position: absolute;
  display: flex;
  overflow: scroll;
  scroll-snap-type: x mandatory;
  z-index: 2;
  scrollbar-width: none;
  cursor: crosshair;
}

#carrusel::-webkit-scrollbar {
  display: none;
}

.carrusel-vp {
  position: relative;
  display: flex;
  width: 100vw;
  flex: 0 0 100vw;
  scroll-snap-align: center;
  justify-content: center;
  align-items: center;
  height: 100%;
  animation: autoscroll 5s cubic-bezier(0.42, 0, 0.58, 1) 1;
}

@keyframes autoscroll {
  0% {
    transform: translateX(0);
  }

  20% {
    transform: translateX(0%);
  }

  35% {
    transform: translateX(-5%);
  }

  50% {
    transform: translateX(0%);
  }
}

.carrusel-content {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

picture {
  width: 100%;
  height: 100%;
}

.carrusel-content.full-cover .carrusel-item {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.carrusel-content.centered .carrusel-item {
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 80%;
  object-fit: contain;
  box-shadow: -6px 5px 2px -4px rgba(0, 0, 0, 0.59);
  -webkit-box-shadow: -6px 5px 2px -4px rgba(0, 0, 0, 0.59);
  -moz-box-shadow: -6px 5px 2px -4px rgba(0, 0, 0, 0.59);
}

.caption {
  position: fixed;
  top: 0;
  left: 0;
  padding: 4px 8px;
  border-radius: 6px;
  background-color: rgba(255, 255, 255, 0.2);
  backdrop-filter: blur(15px);
  border: 1px solid rgba(255, 255, 255, 0.2);
  -webkit-backdrop-filter: blur(15px);
  font-weight: 700;
  color: var(--offwhite);
  font-size: 14px;
  pointer-events: none;
  z-index: 10000;
  white-space: nowrap;
  transition: transform 0.1s ease;
}

@media (max-width: 768px) {

  :root {
    --viewport-height: 100dvh;
  }

  .carrusel-content.centered .carrusel-item {
    max-height: 60%;
  }

  .row .col-3.desktop {
    width: 0;
    opacity: 0;
    overflow: hidden;
  }

  .row .col-3.mobile {
    width: 50%;
  }

  .row .col-1.mobile {
    width: calc(100% / 6);
  }

  #izq {
    max-width: 60vw;
  }

  * {
    font-size: var(--fs-mobile);
  }

  /* Mobile caption specific styles */
  .caption {
    top: auto;
    bottom: 17%;
    left: 50%;
    transform: translateX(-50%) !important;
    white-space: normal;
    text-align: center;
    width: 80%;
    max-width: 300px;
  }

}

.desktop {
  opacity: 1;
  transition: opacity 300ms ease-in-out, width 300ms ease-in-out;
}

#hora {
  opacity: 1;
}